[background]
-add water:  http://vdrift.net/forum/viewtopic.php?forum=2&showtopic=379&lastpost=true

[tracks]
-add tire skid marks
-displacement map for little bumps on tracks (or for bumps on rally tracks)
-fix lingering bugs with road surface
make grass/dirt slippery again
-add back fixed camera placements

[cars]
-add driver sprite or model
-headlights at night
-sun position in track file
-car selection rotation that resets light position when drawing
-improve gauges
-put gauges into the car's dash
-better tire smoke (that doesn't intrude into the car -- could just draw car over smoke if the camera view is set to inside)
--tire wear
re-code car shadows.
-downshifting protection (don't allow downshifts if revs are too high)
-car sounds and tires and wheels that can be custom or grabbed from a central part repository
-car parts:  allow unlimited custom car parts.  car parts can be included in car directories and moved into the central "garage" via the game interface

[sounds]
-improve sound files
-add crash sound, wind sound, engine start sound
-different sound/particles for spinning out grass/sand
-add tire/road contact sound and make it sound different for different materials (including kerb)
-made engine sound different if inside the car

[general]
search for and fix memory leaks
---add autocross support, autocross level editor
-more camera modes:  left, right, front, back.  also, view cycle button
-allow for a menu to end the time trial and check for a record time (and show speeds last lap)
---write coding guidelines (or at least some general philosophies)

[bugs]
---fix window resize bug in windows release
--fix crash on replay of windows version
fix/recode multiplayer

[controls]
-better keyboard control
handbrake
-remove reset..? (at least for multiplay competetive modes)
release mouse pointer in non-mouse camera modes?
-control profiles

[replay]
---add a way to embed car configuration and track into replay files
--add replay slots, improve replay menu (don't allow play directly from record, don't allow stop if not playing/recording, etc etc)
-option to see replay lap time
semi-transparent ghost replay
-auto ghost replay (start recording a replay after the starting point is passed once. Then after the car passes the starting point the second time, it can begin playing back the replay from the beginning)
-timed multiplayer mode (the only real difference would be that the cars would next to each other, and the clock would count down like in the other version. As for determining who wins, just go by the lap time for each car. For now it would be fine to have it just pre-set as a three-lap race, if that makes things simpler)

[menus]
car parts menu
-way to set weather from the menus
add a car information page to the select car screen
